NVME-CAPACITY-MGMT(1)

NAME
nvme-capacity-mgmt - Send capacity management command to configure/create/delete Endurance Groups or NVM Sets, returns results.

SYNOPSIS

nvme capacity-mgmt <device> [--operation=<operation> | -O <operation>]
                        [--element-id=<element-id> | -i <element-id>]
                        [--cap-lower=<cap-lower> | -l <cap-lower>]
                        [--cap-upper=<cap-upper> | -u <cap-upper>]
                        [--output-format=<fmt> | -o <fmt>] [--verbose | -v]
                        [--timeout=<timeout> | -t <timeout>]

DESCRIPTION

For the NVMe device given, sends a capacity management command to configure/create/delete the Endurance Groups or NVM Sets with the requested operation and element_id. On success, if the Operation is Create Endurance group or NVM Set, CQE CDW0 contains Created element identifier else CQE CDW0 is reserved.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

OPTIONS

-O <operation>, --operation=<operation>
    Operation to be performed by the controller

-i <element-id>, --element-id=<element-id>
    Value specific to the value of the Operation field.

-l <cap-lower>, --cap-lower=<cap-lower>
    Least significant 32 bits of the capacity in bytes of the Endurance Group or NVM Set to be created

-u <cap-upper>, --cap-upper=<cap-upper>
    Most significant 32 bits of the capacity in bytes of the Endurance Group or NVM Set to be created

-o <fmt>, --output-format=<fmt>
    Set the reporting format to normal, json or binary. Only one output format can be used at a time.

-v, --verbose
    Increase the information detail in the output.

-t <timeout>, --timeout=<timeout>
    Override default timeout value. In milliseconds.

EXAMPLES

No examples provided yet.

NVME

Part of the nvme-user suite